{% extends "dash/layouts/auth-default.html" %}


{% load i18n %}
{% load account socialaccount %}

{% block title %} Login {% endblock title %}

{% block stylesheets %}
<link rel="stylesheet" href="/static/assets/css/django-form.css">
{% endblock stylesheets %}

{% block content %}

    <div class="d-n@sm- peer peer-greed h-100 pos-r bgr-n bgpX-c bgpY-c bgsz-cv" style='background-image: url("/static/dash/assets/static/images/bg.jpg")'>
      <div class="pos-a centerXY">
        <div class="bgc-white bdrs-50p pos-r" style="width: 120px; height: 120px;">
          <img class="pos-a centerXY" src="/static/dash/assets/static/images/logo.png" alt="">
        </div>
      </div>
    </div>
    <div class="col-12 col-md-4 peer pX-40 pY-80 h-100 bgc-white scrollable pos-r" style="min-width: 320px;">

      {% if msg %}
          <h4 class="fw-300 c-grey-900 mB-40">{{ msg | safe }}</h4>
      {% endif %}

      <h4 class="fw-300 c-grey-900 mB-40" style="text-align: center;">{% trans "Sign Up" %}</h4>

      <p style="text-align: center;">{% blocktrans %}Already have an account? Then please <a href="{{ login_url }}">sign in</a>.{% endblocktrans %}</p>

      <form style="display: table; margin:auto" class="signup" id="signup_form" method="post" action="{% url 'account_signup' %}">
        {% csrf_token %}
        {{ form.as_p }}
        {% if redirect_field_value %}
        <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}" />
        {% endif %}
        <button class="primaryAction btn btn-primary" type="submit">{% trans "Create Account" %}</button>
      </form>

    </div>

{% endblock content %}